This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 802174 - SELinux is preventing /bin/dbus-daemon from 'read' accesses on the None /home/magicbox03/.local/share/icc/edid-52cca38d16d60d47efb4f7ec7182cd0c.icc.
SELinux is preventing /bin/dbus-daemon from 'read' accesses on the None /home...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:94ff5322702cee7e77f98804984...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 17:12 EDT by richard-kristina
Modified: 2012-03-12 03:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-12 03:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description richard-kristina 2012-03-11 17:12:10 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.2.9-1.fc16.i686
reason:         SELinux is preventing /bin/dbus-daemon from 'read' accesses on the None /home/magicbox03/.local/share/icc/edid-52cca38d16d60d47efb4f7ec7182cd0c.icc.
time:           Mon 12 Mar 2012 09:56:43 AM NZDT

description:
:SELinux is preventing /bin/dbus-daemon from 'read' accesses on the None /home/magicbox03/.local/share/icc/edid-52cca38d16d60d47efb4f7ec7182cd0c.icc.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that dbus-daemon should be allowed read access on the edid-52cca38d16d60d47efb4f7ec7182cd0c.icc <Unknown> by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep dbus-daemon /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                /home/magicbox03/.local/share/icc/edid-
:                              52cca38d16d60d47efb4f7ec7182cd0c.icc [ None ]
:Source                        dbus-daemon
:Source Path                   /bin/dbus-daemon
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           dbus-1.4.10-3.fc16.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-75.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux MagicBox03 3.2.9-1.fc16.i686 #1 SMP Thu Mar
:                              1 01:58:05 UTC 2012 i686 i686
:Alert Count                   12
:First Seen                    Sun 11 Mar 2012 10:27:45 PM NZDT
:Last Seen                     Mon 12 Mar 2012 09:52:06 AM NZDT
:Local ID                      4f9378ae-2027-4d90-b4aa-59a90e823b74
:
:Raw Audit Messages
:type=AVC msg=audit(1331499126.228:93): avc:  denied  { read } for  pid=907 comm="dbus-daemon" path="/home/magicbox03/.local/share/icc/edid-52cca38d16d60d47efb4f7ec7182cd0c.icc" dev=dm-2 ino=524376 scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=filenode=MagicBox03 type=SYSCALL msg=audit(1331499126.228:93): arch=40000003 syscall=102 success=yes exit=2048 a0=11 a1=bf84e3e0 a2=80a0ff4 a3=0 items=0 ppid=1 pid=907 auid=4294967295 uid=81 gid=81 euid=81 suid=81 fsuid=81 egid=81 sgid=81 fsgid=81 tty=(none) ses=4294967295 comm="dbus-daemon" exe="/bin/dbus-daemon" subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 key=(null)
:
:
:Hash: dbus-daemon,system_dbusd_t,user_home_dir_t,None,read
:
:audit2allow
:
:
:audit2allow -R
:
:
Comment 1 Miroslav Grepl 2012-03-12 03:58:06 EDT
You will need to execute the restorecon tool to fix labeling

$ restorecon -R -v /home/magicbox03/.local

should fix your issue.

Note You need to log in before you can comment on or make changes to this bug.